# List jobs across an organization Source: https://docs.orchard.hackclub.com/api/operations/organizations_jobs_list/ `GET /apiv1/organizations/{orgId}/jobs` Operation ID: `organizations_jobs_list` Auth: authenticated ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `orgId` | path | Yes | | ## Responses ### 200: OK ```json { "items": { "additionalProperties": {}, "properties": { "concurrencyPolicy": { "enum": [ "forbid", "allow" ], "type": "string" }, "createdAt": { "type": "string" }, "description": { "type": [ "string", "null" ] }, "enabled": { "type": "boolean" }, "id": { "type": "string" }, "lastRun": { "additionalProperties": {}, "properties": { "createdAt": { "type": "string" }, "finishedAt": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "number": { "type": "integer" }, "startedAt": { "type": [ "string", "null" ] }, "status": { "enum": [ "pending", "running", "succeeded", "failed", "canceled", "skipped", "timed_out" ], "type": "string" }, "trigger": { "enum": [ "manual", "api", "cron" ], "type": "string" } }, "required": [ "id", "number", "status", "trigger", "startedAt", "finishedAt", "createdAt" ], "type": [ "object", "null" ] }, "name": { "type": "string" }, "nextRunAt": { "type": [ "string", "null" ] }, "organizationId": { "description": "Present on detail responses, absent on list responses", "type": "string" }, "projectId": { "type": "string" }, "projectName": { "type": "string" }, "projectSlug": { "type": "string" }, "recentRuns": { "items": { "additionalProperties": {}, "properties": { "finishedAt": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "number": { "type": "integer" }, "startedAt": { "type": [ "string", "null" ] }, "status": { "enum": [ "pending", "running", "succeeded", "failed", "canceled", "skipped", "timed_out" ], "type": "string" } }, "required": [ "id", "number", "status", "startedAt", "finishedAt" ], "type": "object" }, "type": "array" }, "runTimeoutSeconds": { "type": "integer" }, "scheduleCron": { "type": [ "string", "null" ] }, "stepCount": { "type": "integer" }, "stepSummaries": { "items": { "additionalProperties": {}, "properties": { "name": { "type": "string" }, "type": { "enum": [ "script", "app", "image" ], "type": "string" } }, "required": [ "name", "type" ], "type": "object" }, "type": "array" }, "timeZone": { "type": [ "string", "null" ] }, "updatedAt": { "type": "string" } }, "required": [ "id", "name", "description", "projectId", "scheduleCron", "timeZone", "enabled", "concurrencyPolicy", "runTimeoutSeconds", "lastRun", "recentRuns", "nextRunAt", "createdAt", "updatedAt" ], "type": "object" }, "type": "array" } ```